org.springframework.validation

## Class FieldError

- java.lang.Object
- - org.springframework.context.support.DefaultMessageSourceResolvable
  - - org.springframework.validation.ObjectError
    - - org.springframework.validation.FieldError

All Implemented Interfaces:
  Serializable, MessageSourceResolvable

    public class FieldError
    extends ObjectError

Encapsulates a field error, that is, a reason for rejecting a specific field value.

See the `DefaultMessageCodesResolver` javadoc for details on how a message code list is built for a `FieldError`.

Since:
  10.03.2003
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `DefaultMessageCodesResolver`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FieldError(String objectName, String field, Object rejectedValue, boolean bindingFailure, String[] codes, Object[] arguments, String defaultMessage)` Create a new FieldError instance.
`FieldError(String objectName, String field, String defaultMessage)` Create a new FieldError instance.

### Method Summary

Methods
`boolean` `equals(Object other)`
`String` `getField()` Return the affected field of the object.
`Object` `getRejectedValue()` Return the rejected field value.
`int` `hashCode()`
`boolean` `isBindingFailure()` Return whether this error represents a binding failure (like a type mismatch); otherwise it is a validation failure.
`String` `toString()` Default implementation exposes the attributes of this MessageSourceResolvable.

### Methods inherited from class org.springframework.validation.ObjectError

`getObjectName`

### Methods inherited from class org.springframework.context.support.DefaultMessageSourceResolvable

`getArguments, getCode, getCodes, getDefaultMessage, resolvableToString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldError

    public FieldError(String objectName,
              String field,
              String defaultMessage)

Create a new FieldError instance.

Parameters:
  `objectName` - the name of the affected object
  `field` - the affected field of the object
  `defaultMessage` - the default message to be used to resolve this message

#### FieldError

    public FieldError(String objectName,
              String field,
              Object rejectedValue,
              boolean bindingFailure,
              String[] codes,
              Object[] arguments,
              String defaultMessage)

Create a new FieldError instance.

Parameters:
  `objectName` - the name of the affected object
  `field` - the affected field of the object
  `rejectedValue` - the rejected field value
  `bindingFailure` - whether this error represents a binding failure (like a type mismatch); else, it is a validation failure
  `codes` - the codes to be used to resolve this message
  `arguments` - the array of arguments to be used to resolve this message
  `defaultMessage` - the default message to be used to resolve this message

### Method Detail

#### getField

    public String getField()

Return the affected field of the object.

#### getRejectedValue

    public Object getRejectedValue()

Return the rejected field value.

#### isBindingFailure

    public boolean isBindingFailure()

Return whether this error represents a binding failure (like a type mismatch); otherwise it is a validation failure.

#### toString

    public String toString()

Description copied from class: `DefaultMessageSourceResolvable`
Default implementation exposes the attributes of this MessageSourceResolvable. To be overridden in more specific subclasses, potentially including the resolvable content through `resolvableToString()`.

Overrides:
  `toString` in class `ObjectError`
See Also:
  `DefaultMessageSourceResolvable.resolvableToString()`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `ObjectError`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ObjectError`